package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsStoreOrderStatusScrm;

/**
 * 订单操作记录Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreOrderStatusScrmService
{
    /**
     * 查询订单操作记录
     * 
     * @param id 订单操作记录ID
     * @return 订单操作记录
     */
    public FsStoreOrderStatusScrm selectFsStoreOrderStatusById(Long id);

    /**
     * 查询订单操作记录列表
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 订单操作记录集合
     */
    public List<FsStoreOrderStatusScrm> selectFsStoreOrderStatusList(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 新增订单操作记录
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 结果
     */
    public int insertFsStoreOrderStatus(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 修改订单操作记录
     * 
     * @param fsStoreOrderStatus 订单操作记录
     * @return 结果
     */
    public int updateFsStoreOrderStatus(FsStoreOrderStatusScrm fsStoreOrderStatus);

    /**
     * 批量删除订单操作记录
     * 
     * @param ids 需要删除的订单操作记录ID
     * @return 结果
     */
    public int deleteFsStoreOrderStatusByIds(Long[] ids);

    /**
     * 删除订单操作记录信息
     * 
     * @param id 订单操作记录ID
     * @return 结果
     */
    public int deleteFsStoreOrderStatusById(Long id);

    int create(Long id, String value, String desc);
}
